/*
	CSS Rules
		selector {
				property: value;
		}
	CSS Selectors
	1. Type Selector - used to target elements with specified type/tag name.
	2. Universal Selector - used to target all elements.	
	3. ID Selector - used to set the style of given ID.
	4. Class Selector - used to set the style of given class
	5. Attribute Selector - it only works based on the exact attribute syntax provided in the HTML tag.
*/

/* Universal Selector */

* {
	font-family: "Courier New", monospace;
}

/* Type Selector */
h1 {
	color: blue;
}

h3 {
	letter-spacing: 50px;
}

/* 
	ID Selector 
	#id-name
*/

#zuitt-motto {
	letter-spacing: 5px;
}

/* Class Selector 
	.class-name
*/

.offering-item {
	text-transform: uppercase;
}

/* 
	Attribute Selector
	tagname[attribute]
 */

input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
}

/*
	 Adjacent Sibiling Selector
	selector + selector
 */

h3 + img {
	height: 300px;
	width: 300;
	border-radius: 150px;
}
/*
	 Descentdant Selector 
	selector selector
*/
#bootcamp-learning-list li {
	color: darkgreen;
}

/* 
	General Sibling Selector
	selector ~ selector
 */
h2 ~ a {
	text-decoration: none;
}

/* 
	Child Selector
	selector > selector
 */
body > section > form > label {
	color: rgb(0, 0, 128);
}